function skill017(j)

for se=1,7,1 do
if battle.CheckNpcPlace(se)==0 then
	local id=battle.GetPlaceNpcID(se)
	if battle.CheckNpcStat(id,25)==1 then
        if battle.GetRndNumber(1,100)<=20 then
            npc.RemoveStat(id,25)
            npc.AddStat(0,id,9000,7,battle.GetRndNumber(8,12))
        end
    end
end
end

local pid=battle.GetActingPlayerID()
if j==4 and battle.CheckPlayerStat(pid,721)==1 then
player.RemoveStat(0,pid,721)
battle.ActionTwice()
end
	
end